reset # limpa a memória do gnuplot
set zeroaxis lt -1 # coloca os eixos x=0 e y=0

#set xrange [-5:5] #gráfico definido de x=-5 a x=+5
#set yrange [0:10] #altura no eixo y

set xtics -5,1 #começa a marcação de -5 e marca de 1 em 1

set ytics 0,1 #começa a marcação de 0 e marca de 1 em 1
set mxtics 2 #subdivide o intervalo x em 2
set mytics 2 #subdivide o intervalo y em 2
set xlabel "Tempo (+/- 1 s)" #legenda do eixo x
set ylabel "Posição (+/- 1 m)" #legenda do eixo y

set term png size 800,600 #define saída para arquivo png de tamanho 800 por 600 pixels


set ytics nomirror #tira a marcação de pontos do eixo y2

set key left #legenda do lado esquerdo

set y2label "Velocidade (+/- 1 m/s)" #coloca legenda no eixo y2

set y2tics 5 #coloca pontos de 5 em 5 no eixo y2

set my2tics 5 #subdivide eixo y2 em 5 intervalos

#u = using: usar colunas 1 e 3, nesta ordem
#w l = with lines, com linhas

set out "arquivo1.png" #abre 
plot "arquivo.key" u ($$1+5):($$2*cos($$1+5)) title "Posição" w l #imprime
unset out #fecha o arquivo

set out "arquivo2.png" #abre
plot "arquivo.key" u 1:3 title "Posição" w l #imprime
unset out #fecha

set term pngcairo size 800,600

#set style fill solid 1.0 noborder #preenchimento sólido de figuras
set style function filledcurves y1=0 #preenche funções a partir do eixo y1=0

set style fill transparent solid 0.5 noborder #preenchimento transparente de figuras

set out "arquivo3.png" #abre
plot cos(x) title "Posição", 2*sin(x), 4*cos(x+pi/2), x/2 w l #imprime
unset out #fecha

set pm3d #define formato 3d
set pal #mostra palheta de cores
set out "arquivo4.png"
splot cos(x*y) w pm3d
unset out

#splot é usado para gerar figuras 3d













