reset #limpa a memória do gnuplot
set zeroaxis lt -1 #coloca os eixos
set samples 30 #altera a quantidade de pontos na figura
#f(x)=cos(x) é uma função definida para ser usada no gnuplot com "plot f(x)"
#set xtics 2: separação de 2 em 2
#set xtics -4,2: começa em -4 e vai de 2 em 2

set xtics -4,2,6 #indica a separação de pontos no eixo x: primeiro, passo, final
set ytics -5,5,30 #indica a separação de pontos no eixo y
set grid #acrescenta grade ao gráfico

set mxtics 2 #subdivide os intervalos no eixo x em 2
set mytics 5 #subdivide os intervalos no eixo y em 5

set xrange [-5:7] #intervalo do gráfico no eixo x
set yrange [-2:17] #intervalo do gráfico no eixo y

set format x "%1.1f" #altera a apresentação do eixo x, como 1 casa antes e 1 depois do ponto decimal
set format y "%1.2f"  #altera a apresentação do eixo y, como 1 casa antes e 1 depois do ponto decimal

set decimalsign "," #altera o separador de casas decimais

set key left top #altera a posição da legenda da figura
#set key at -.7,13

set xlabel "Posição (+/- 0,1 m)" #inclui legenda do eixo x
set ylabel "Velocidade (+/- 0,05 m/s)" #inclui legenda do eixo y

set title "Velocidade por Posição" font "Arial,20" #título do gráfico, na fonte, primeiro o nome, depois o tamanho

set term png size 1000,800#seleciona o tipo de arquivo .png
set out "aula1.png" #nome do arquivo a ser criado

plot x title "reta" lw 3 w l, 15-x**2 title "parábola" w boxes lc 3

unset out #fecha o arquivo com a figura













#plot x title "reta" lw 3 w l, x**2 title "parábola" w steps lc 3, x**2 title "parábola 1" w fsteps lc 2, x**2 title "parábola 2" w histeps lc 4    

#steps: primeiro horizontal depois vertical
#fsteps: primeiro vertical depois horizontal
#histeps: vertical na metade do horizontal
#imprime o gráfico desejado

# w d = with dots: com pontinhos
# w l = with lines: com linhas
# w p = with points: com pontos
# w steps = with steps: com passos
# lw = line width: largura da linha
# pt = point type: tipo de ponto
# lc = line color: cor da linha
# informações de cores, largura, preenchimento, e outros, através do comando "test" no gnuplot










